Previous Thread
Next Thread
Print Thread
#122537 07/30/23 04:50 PM
Joined: Sep 2000
Posts: 249
W
will Offline OP
Senior Member
OP Offline
Senior Member
W
Joined: Sep 2000
Posts: 249
Running MAME 0.257 on macOS 13.5 and getting a warning every time I run a game:

[LUA] emu.register_start is deprecated - please use emu.add_machine_reset_notifier

Is this something to be concerned about or something I can fix?

Thanks!


=will=
Joined: Sep 2000
Posts: 249
W
will Offline OP
Senior Member
OP Offline
Senior Member
W
Joined: Sep 2000
Posts: 249
Forgot to mention, using SDL2 framework version up to 2.28.1 now.


=will=
Joined: Feb 2004
Posts: 2,557
Likes: 254
Very Senior Member
Offline
Very Senior Member
Joined: Feb 2004
Posts: 2,557
Likes: 254
Either you didn’t update the included plugins when you updated MAME (which is never a good idea), or you have some third party plugin that should be updated.

Joined: Sep 2000
Posts: 249
W
will Offline OP
Senior Member
OP Offline
Senior Member
W
Joined: Sep 2000
Posts: 249
I'm not aware of using any plugins but I replaced that folder with the one from clean source and that worked. Thanks!


=will=

Moderated by  R. Belmont 

Link Copied to Clipboard
Who's Online Now
1 members (1 invisible), 62 guests, and 5 robots.
Key: Admin, Global Mod, Mod
ShoutChat
Comment Guidelines: Do post respectful and insightful comments. Don't flame, hate, spam.
Forum Statistics
Forums9
Topics9,281
Posts121,425
Members5,064
Most Online1,283
Dec 21st, 2022
Our Sponsor
These forums are sponsored by Superior Solitaire, an ad-free card game collection for macOS and iOS. Download it today!

Superior Solitaire
Forum hosted by www.retrogamesformac.com